phing-tasks-ext-pdo

# Class: PlainPDOResultFormatter Source Location: /tasks/ext/pdo/PlainPDOResultFormatter.php
### Class Overview
    PDOResultFormatter
       |
       --PlainPDOResultFormatter
Plain text formatter for PDO results. #### Author(s): Hans Lellelid <hans@xmpl.org> | ### Methods getPreferredOutfile processRow setColdelim setRowdelim setShowheaders
### Inherited Variables #### Class: PDOResultFormatter PDOResultFormatter::$out | ### Inherited Methods #### Class: PDOResultFormatter PDOResultFormatter::close() Perform any final tasks and Close the writer. PDOResultFormatter::getOutput() Gets the output writer. PDOResultFormatter::getPreferredOutfile() Gets the preferred output filename for this formatter. PDOResultFormatter::initialize() Perform any initialization. PDOResultFormatter::processRow() Processes a specific row from PDO result set. PDOResultFormatter::setOutput() Sets the output writer.
### Class Details [line 32] Plain text formatter for PDO results. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
since: | 2.3.0
[ Top ] ### Class Methods ### method getPreferredOutfile [line 125]
`void getPreferredOutfile( )`
#### Tags:
access: | public
Overrides PDOResultFormatter::getPreferredOutfile() (Gets the preferred output filename for this formatter.) [ Top ] ### method processRow [line 89]
`void processRow( array $row)`
Processes a specific row from PDO result set. #### Tags:
access: | public
Overrides PDOResultFormatter::processRow() (Processes a specific row from PDO result set.) #### Parameters:
array | $row | Row of PDO result set.
[ Top ] ### method setColdelim [line 72]
`void setColdelim( string $v)`
Sets the column delimiter. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setRowdelim [line 80]
`void setRowdelim( string $v)`
Sets the row delimiter. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setShowheaders [line 64]
`void setShowheaders( boolean $v)`
Set the showheaders attribute. #### Tags:
access: | public
#### Parameters:
boolean | $v |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:44 +0200 by phpDocumentor 1.4.3